import MemoryDB from '../database/MemoryDB.js';
import PagerDigital from './PagerDigital.js';

class App {
  register(server) {
    PagerDigital.register(server);
    server.post('/gracefulShutdown', async(req, res) => {
      await MemoryDB.disconnect().catch(err => {
        console.error('Falha ao desconectar do banco de dados.', err);
      });
      console.log('Restarting app...');
      process.exit(0);
    });
  }
}

export default new App();
